class MainPanel extends Shadow {
    render() {
        ZStack(() => {
            input("Search", "70vw")
                .marginLeft(5, em)
                .marginTop(2, em)
                .paddingVertical(0.5, em)
                .paddingHorizontal(1, em)
                .border("none")
                .background("rgb(146, 160, 219)")
                .outline("none")

            switch(window.location.pathname) {
                case "/":
                    LocationList()
                    break;
            }
        })
        .width(100, "%")
        .height(100, vh)
        .backgroundColor("rgb(174, 189, 255)")
    }
}

register(MainPanel)